<?php
include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
//+++++++++++++++++++++++++++++++++++++++++
$CMD=V($_GET['CMD']);
$P01=V($_GET['P01']);
$P02=V($_GET['P02']);
$P03=V($_GET['P03']);
$P04=V($_GET['P04']);
$P05=V($_GET['P05']);
$P06=V($_GET['P06']);
$P07=V($_GET['P07']);
$P08=V($_GET['P08']);
$P08=V($_GET['P08']);
$P09=V($_GET['P09']);
$P10=V($_GET['P10']);
//++++++++++++++++++++++++++++++++++++++
//include("fe_kernel.php");
include("fe_kernel_demo.php");
//++++++++++++++++++++++++++++++++++++
if($CMD=="GEN_PDF_NDD"){
	$VEN_ID=vbval($P01);
	$DAT=explode("|",VALIDAR_PDF_NDD($VEN_ID));
	if($DAT[1]=="MS"){
		echo "<b>".$DAT[2]."</b>";
	}else{
		$MODO="D";
		$EMP_RUC=gs("EMP_FE_RUC","vis_fe_ventaz","ID=$VEN_ID");
		$DAT=explode("|",GET_TOKEN($EMP_RUC,$MODO));
		if($DAT[1]=="MS"){
			echo "<b>TOKEN NO GENERADO, vuelva a intentarlo en 10 segundos</b>";
		}else{
			if($DAT[1]=="OK"){
				$TOKEN=$DAT[2];
				GEN_PDF_NDD($VEN_ID,$TOKEN);
			}else{
				echo "<b>ERROR DE CONEXION, vuelva a intentarlo en 10 segundos</b>";
			}
		}
	}
}
//++++++++++++++++++++++++++++++++++++
if($CMD=="GEN_PDF_NDC"){
	$VEN_ID=vbval($P01);
	$DAT=explode("|",VALIDAR_PDF_NDC($VEN_ID));
	if($DAT[1]=="MS"){
		echo "<b>".$DAT[2]."</b>";
	}else{
		$MODO="D";
		$EMP_RUC=gs("EMP_FE_RUC","vis_fe_ventaz","ID=$VEN_ID");
		$DAT=explode("|",GET_TOKEN($EMP_RUC,$MODO));
		if($DAT[1]=="MS"){
			echo "<b>TOKEN NO GENERADO, vuelva a intentarlo en 10 segundos</b>";
		}else{
			if($DAT[1]=="OK"){
				$TOKEN=$DAT[2];
				GEN_PDF_NDC($VEN_ID,$TOKEN);
			}else{
				echo "<b>ERROR DE CONEXION, vuelva a intentarlo en 10 segundos</b>";
			}
		}
	}
}
//++++++++++++++++++++++++++++++++++++
if($CMD=="GEN_PDF"){
	$VEN_ID=vbval($P01);
	$DAT=explode("|",VALIDAR_PDF($VEN_ID));
	if($DAT[1]=="MS"){
		echo "<b>".$DAT[2]."</b>";
	}else{
		$MODO="D";
		$EMP_RUC=gs("EMP_FE_RUC","vventas_fe","ID=$VEN_ID");
		$DAT=explode("|",GET_TOKEN($EMP_RUC,$MODO));
		if($DAT[1]=="MS"){
			echo "<b>TOKEN NO GENERADO, vuelva a intentarlo en 10 segundos</b>";
		}else{
			if($DAT[1]=="OK"){
				$TOKEN=$DAT[2];
				GEN_PDF($VEN_ID,$TOKEN);
			}else{
				echo "<b>ERROR DE CONEXION, vuelva a intentarlo en 10 segundos</b>";
			}
		}
	}
}

?>